<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Graficas Ejemplo</title>
		<link rel="stylesheet" type="text/css" href="estilo.css">
	  		
		<script src="https://d3js.org/d3.v3.min.js"></script>
	</head>
	<body>
		 <div class="titulo">Formulario</div>
		 <div class="menu_simple">
		  <ul>
			 <li><a href="#">Empresa</a></li>
			 <li><a href="#">Menú</a></li>
			 <li><a href="#">Consulta</a></li>
			 <li><a href="#">Visualizacion</a></li>
		   </ul>
		   <br />
		</div>  	
		
		<script>

		var margin = {top: 20, right: 20, bottom: 30, left: 50},
			width = 1080 - margin.left - margin.right,
			height = 960 - margin.top - margin.bottom;

		var x = d3.scale.linear()
			.range([0, width]);

		var y = d3.scale.linear()
			.range([height, 0]);

		var xAxis = d3.svg.axis()
			.scale(x)
			.orient("bottom");

		var yAxis = d3.svg.axis()
			.scale(y)
			.orient("left");

		var area = d3.svg.area()
			.x(function(d) { return x(d.semanas); })
			.y(function(d) { return y(d.precio); });

		var svg = d3.select("body").append("svg")
			.attr("width", width + margin.left + margin.right)
			.attr("height", height + margin.top + margin.bottom)
			.append("g")
			.attr("transform", "translate(" + margin.left + "," + margin.top + ")");

		  d3.json("http://localhost:8080/TFG/datos_mysql.php", function(error, data) {
			data.forEach(function(d) {
				d.precio = +d.precio;
				d.semanas = +d.semanas;
			});
			
			x.domain([0, d3.max(data, function(d) { return d.semanas; })]);
			y.domain([0, d3.max(data, function(d) { return d.precio; })]);

		  svg.append("path")
			.datum(data)
			.attr("class", "area")
			.attr("d", area);

		  svg.append("g")
			.attr("class", "x axis")
			.attr("transform", "translate(0," + height + ")")
			.call(xAxis);

		  svg.append("g")
			.attr("class", "y axis")
			.attr("transform", "translate(0," + width + ")")
			.call(xAxis);
		});

</script>
		
		
		<div id="container" style="width: 100%; height: 500px; margin: 0 auto"></div>
		
	</body>
</html>
